This page is a wiki. Please login or create an account to begin editing.


Adobe Premiere 6.5

Rating:
Your rating: None Average: 5 (2 votes)
Category:
Year released:
Author:
Publisher:
#1
[www].se [ftp].se [mirror].us
Adobe-Premiere-6.5.toast (241.04 MB)
For Mac OS 9 - Mac OS X
#2
[www].se [ftp].se [mirror].us
premiere_651_update_ie.hqx (153.63 KB)
For Mac OS 9 - Mac OS X
Emulation
Guides on emulating older applications

The essential tool for professional digital video editing:

Delivering unmatched hardware support, Adobe® Premiere® 6.5 software is the most adaptable DV-editing tool on the market today. Now you can work more productively with Real-Time Preview. And you can take advantage of the sophisticated new Adobe Title Designer, MPEG-2 export, DVD authoring, powerful audio tools, and more to create extraordinary video productions. Whether you want to edit digital video on your laptop or work with multiple layers of analog footage on a professional, hardware-based, real-time system, Adobe Premiere is the hands-down choice for desktop video editing.

System Requirements:

PowerPC® G3 or faster processor (G4 or G4 dual recommended)
Mac OS 9.2.2 or Mac OS X v.10.1.3
64MB of RAM (128MB or more recommended)
600MB of available hard-disk space for installation
256-color video display adapter
CD-ROM drive
QuickTime 5.0.2
For DV: QuickTime compatible FireWire® (IEEE 1394) interface, large-capacity hard disk or disk array capable of sustaining 5MB/sec, and FireWire 2.7
For third-party capture cards: Adobe Premiere certified capture card
For Real-Time Preview: G4 processor (G4 dual recommended)

https://web.archive.org/web/20021012082626/http://www.adobe.com/products...

Serial: MXX241X0110102-745

Compatibility
Architecture: PPC PPC (Carbonized)

Comments

davisdelo's picture
by davisdelo - 2017, December 8 - 3:41pm

That is a strange. I only ever installed it on my MDD with 9.2.2 and Jaguar. I've updated the requirements above so there isn't any confusion.

eisnerguy1's picture
by eisnerguy1 - 2017, December 8 - 4:17am
5

Oh, here are the instructions for installing the 6.5.1 update:
Mac Capture update - English:
"1. Hold down the Control key and click the Adobe Premiere application icon.
2. From the menu, select Show Package Contents.
3. Open the Contents folder/MacOS folder/Plug-Ins folder.
4. Place the HDLR-GRAB* plug-in into the Required folder.
5. Place the DV Device Control plug-in into the QTPlugins folder.
6. If you are running Mac OS 9, you need to Control-click on the application again and select Hide Package Contents.

Note: Before starting Adobe Premiere, trash your Adobe Premiere Preferences file."

Was a bit confused as to what I needed to do before reading the instructions.

MikeTomTom's picture
by MikeTomTom - 2017, December 7 - 10:32pm

Interesting, the System Requirements via the Wayback Machine page link contradicts the supplied
info (on the Toast image and above) for the Macintosh version, which states a min OS of 9.0.4:

  • PowerPC® G3 or faster processor (G4 or G4 dual recommended)
  • Mac OS 9.2.2 or Mac OS X v.10.1.3
  • 64MB of RAM (128MB or more recommended)
  • 600MB of available hard-disk space for installation
  • 256-color video display adapter
  • CD-ROM drive
  • QuickTime 5.0.2
  • For DV: QuickTime compatible FireWire® (IEEE 1394) interface, large-capacity hard disk or disk array capable of sustaining 5MB/sec, and FireWire 2.7
  • For third-party capture cards: Adobe Premiere certified capture card
  • For Real-Time Preview: G4 processor (G4 dual recommended)

QuickTime 5.0.2 is supplied on the Toast install image.

I also got this error message when trying to install it onto 9.0.4:

Description

Error message on install (Mac OS 9.0.4)

Curiously somewhat in the middle of the accompanying documentation and the web-site's specs Puzzled

eisnerguy1's picture
by eisnerguy1 - 2017, December 7 - 1:37pm

Thanks for uploading this!